org.apache.ignite.internal.processors.platform.utils

## Class PlatformConfigurationUtils

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.utils.PlatformConfigurationUtils

    public class PlatformConfigurationUtils
    extends Object

Configuration utils. WARNING: DO NOT MODIFY THIS FILE without updating corresponding platform code! Each read/write method has a counterpart in .NET platform (see IgniteConfiguration.cs, CacheConfiguration.cs, etc).

### Method Summary

All Methods Static Methods Concrete Methods
`static PlatformAffinityFunction` `readAffinityFunction(BinaryRawReaderEx in)` Reads the eviction policy.
`static CacheConfiguration` `readCacheConfiguration(BinaryRawReaderEx in)` Reads cache configuration from a stream.
`static javax.cache.configuration.Factory<? extends javax.cache.expiry.ExpiryPolicy>` `readExpiryPolicyFactory(BinaryRawReader in)` Reads the expiry policy factory.
`static void` `readIgniteConfiguration(BinaryRawReaderEx in, IgniteConfiguration cfg)` Reads Ignite configuration.
`static NearCacheConfiguration` `readNearConfiguration(BinaryRawReader in)` Reads the near config.
`static PlatformCacheConfiguration` `readPlatformCacheConfiguration(BinaryRawReaderEx in)` Reads platform cache config.
`static QueryEntity` `readQueryEntity(BinaryRawReader in)` Reads the query entity.
`static QueryIndex` `readQueryIndex(BinaryRawReader in)` Reads the query index.
`static void` `writeCacheConfiguration(BinaryRawWriter writer, CacheConfiguration ccfg)` Writes cache configuration.
`static void` `writeDotNetConfiguration(BinaryRawWriterEx writer, PlatformDotNetConfiguration cfg)` Write .Net configuration to the stream.
`static void` `writeEnumInt(BinaryRawWriter w, Enum e)` Writes enum as int.
`static void` `writeEnumInt(BinaryRawWriter w, Enum e, Enum def)` Writes enum as int.
`static void` `writeExpiryPolicyFactory(BinaryRawWriter out, javax.cache.configuration.Factory<? extends javax.cache.expiry.ExpiryPolicy> factory)` Writes the policy factory.
`static void` `writeIgniteConfiguration(BinaryRawWriter w, IgniteConfiguration cfg)` Writes Ignite configuration.
`static void` `writeQueryEntity(BinaryRawWriter writer, QueryEntity qryEntity)` Write query entity.
`static void` `writeQueryIndex(BinaryRawWriter writer, QueryIndex idx)` Writer query index.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### writeDotNetConfiguration

    public static void writeDotNetConfiguration(BinaryRawWriterEx writer,
                                                PlatformDotNetConfiguration cfg)

Write .Net configuration to the stream.

Parameters:
  `writer` - Writer.
  `cfg` - Configuration.

#### readCacheConfiguration

    public static CacheConfiguration readCacheConfiguration(BinaryRawReaderEx in)

Reads cache configuration from a stream.

Parameters:
  `in` - Stream.
Returns:
  Cache configuration.

#### readExpiryPolicyFactory

    public static javax.cache.configuration.Factory<? extends javax.cache.expiry.ExpiryPolicy> readExpiryPolicyFactory(BinaryRawReader in)

Reads the expiry policy factory.

Parameters:
  `in` - Reader.
Returns:
  Expiry policy factory.

#### writeExpiryPolicyFactory

    public static void writeExpiryPolicyFactory(BinaryRawWriter out,
                                                javax.cache.configuration.Factory<? extends javax.cache.expiry.ExpiryPolicy> factory)

Writes the policy factory.

Parameters:
  `out` - Writer.

#### readNearConfiguration

    public static NearCacheConfiguration readNearConfiguration(BinaryRawReader in)

Reads the near config.

Parameters:
  `in` - Stream.
Returns:
  NearCacheConfiguration.

#### readPlatformCacheConfiguration

    public static PlatformCacheConfiguration readPlatformCacheConfiguration(BinaryRawReaderEx in)

Reads platform cache config.

Parameters:
  `in` - Stream.
Returns:
  PlatformCacheConfiguration.

#### readAffinityFunction

    public static PlatformAffinityFunction readAffinityFunction(BinaryRawReaderEx in)

Reads the eviction policy.

Parameters:
  `in` - Stream.
Returns:
  Affinity function.

#### readQueryEntity

    public static QueryEntity readQueryEntity(BinaryRawReader in)

Reads the query entity. Version of function to be used from thin client.

Parameters:
  `in` - Stream.
Returns:
  QueryEntity.

#### readQueryIndex

    public static QueryIndex readQueryIndex(BinaryRawReader in)

Reads the query index.

Parameters:
  `in` - Reader.
Returns:
  Query index.

#### readIgniteConfiguration

    public static void readIgniteConfiguration(BinaryRawReaderEx in,
                                               IgniteConfiguration cfg)

Reads Ignite configuration.

Parameters:
  `in` - Reader.
  `cfg` - Configuration.

#### writeCacheConfiguration

    public static void writeCacheConfiguration(BinaryRawWriter writer,
                                               CacheConfiguration ccfg)

Writes cache configuration.

Parameters:
  `writer` - Writer.
  `ccfg` - Configuration.

#### writeQueryEntity

    public static void writeQueryEntity(BinaryRawWriter writer,
                                        QueryEntity qryEntity)

Write query entity. Version for thin client.

Parameters:
  `writer` - Writer.
  `qryEntity` - Query entity.

#### writeQueryIndex

    public static void writeQueryIndex(BinaryRawWriter writer,
                                       QueryIndex idx)

Writer query index.

Parameters:
  `writer` - Writer.
  `idx` - Index.

#### writeIgniteConfiguration

    public static void writeIgniteConfiguration(BinaryRawWriter w,
                                                IgniteConfiguration cfg)

Writes Ignite configuration.

Parameters:
  `w` - Writer.
  `cfg` - Configuration.

#### writeEnumInt

    public static void writeEnumInt(BinaryRawWriter w,
                                    Enum e)

Writes enum as int.

Parameters:
  `w` - Writer.
  `e` - Enum.

#### writeEnumInt

    public static void writeEnumInt(BinaryRawWriter w,
                                    Enum e,
                                    Enum def)

Writes enum as int.

Parameters:
  `w` - Writer.
  `e` - Enum.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020